FOKKER F27 Friendship COMPATIBILITY WITH P3D V4.5



  • Could you please let us know when a compatible version of the F27 will be released for P3D v4.5? I bought my copy from FSPILOT SHOP. Currently only one gauge is shown after loading the airplane.

    Please take note that the F27 is advertised as P3D v4 compatible.

    Many thanks,



  • I had this problem with several JF aircraft I have only just dicovered. I have uninstalled and re-installed those affected and most seem to work. So far I have not got the Chipmunk to work.